Subject: Re: Timing parameters

From: Lynne Green <[email-masked]>
Date: Wed, 14 Nov 2001 12:14:32 -0800

Hello, Gang,

Every EDA vendor provides "time-of-flight" results for delay
time for signal to travel between the driver and a receiver.
The data sheet should contain a mention of the voltage at
which delay was measured (so you can add internal delay
to time-of-flight" delay); this is the value of VMEAS.  (RREF
and VREF are not used for a capacitor test load.)

Every EDA vendor has a different way of setting their time=0
reference, since the reference time=0 is not specified in the
IBIS standard.  The IBIS standard also does not specify the
time=0 reference for building models, so any arbitrary (positive
or negative) time offset could be added to a model without
changing its "correctness" according to the standard.

What distinguishes vendors is how they help you correct for
these time offsets to calculate the internal buffer delay.
Many tools, including Cadence's SPECCTRAQuest, help
you correct for time offsets.  You can also do this  using a
spreadsheet.

- Lynne Green

At 12:22 PM 11/14/2001 -0600, you wrote:
>The problem is the I/O is a very Bi-direction I/O whose spec. has only DC 
>parameters. But the customers want to use some tools to check the timing 
>which need these parameters. Under these conditions, what
>should i put in there or just leave it empty?
>
>On the second case, besides these timing parameters, what else need to 
>change in the model to reflect the different load? If no, then there will 
>be models that are identical except these parameters, will
>this cause confusion for the simulators? I read somewhere that certain 
>simulator will use these values for time analysis. Can someone tell me how 
>these simulators use these values for that purpose? For
>example, if i have two identical models except in one model 
>Cref=10pF,Rref=0,Vref=0, and in the other Cref=50pF, Rref=0 and Vref=0, 
>will the simulator see these two models the same, or they will have
>different timing "properties"?
>
>Thanks.
>
>Huo,Gang
>
>"Dagostino, Tom" wrote:
>
> > If there is no spec why are you considering using the part?  How will 
> you know if the part will work in your design?  Very few parts spec an 
> output switching time.
> >
> > If there are multiple timing specs for different loads then pick the 
> load that best matches the circuit you have and put that load into the 
> IBIS model.  Then use the timing for that load in your analysis.
> >
> > Tom Dagostino
> > Modeling Manager
> > Mentor Graphics Corp.
> > SAE
> > [email-masked]
> > 503-685-1613
> >
> > -----Original Message-----
> > From: Gang Huo [mailto:[email-masked]]
> > Sent: Wednesday, November 14, 2001 8:07 AM
> > To: [email-masked]
> > Subject: Timing parameters
> >
> > Hello all,
> >
> > I am wondering what can be put in these parameters (Vref, Rref, Cref and
> > Vmeas) if there is no spec. or the spec. does not specifying the delay
> > and/or output switching time? And if there is multi-cases in the spec.?
> > For example, a device's spec. specified/characterized the delay for a
> > capacitor load to ground ranging from 15pF to 100pF with 4 cases of
> > 15pF, 30pF, 66pF and 100pF.
> >
> > Thanks.
> >
> > Huo,Gang